<template lang="pug">
.title-bar.has-background-white.mt-6.px-6.py-4.is-flex.is-align-items-center
	p.is-size-2.has-text-weight-bold.has-text-black
		slot
	.ml-auto( v-if='$slots.right' ): slot( name="right" )
	span.icon.is-large.ml-auto( v-if='icon' @click='handleClick' )
		i.fa-solid.fa-2x( :class='`fa-${icon}`' )
</template>

<script setup>
const props = defineProps({
	icon: {
		type: String,
		default: ""
	}
})
const emit = defineEmits([ "click" ])

const handleClick = () => emit("click")
</script>

<style lang="scss" scoped>
.icon {
	cursor: pointer;
	transition: opacity .2s ease-in-out;
	&:hover {
		opacity: .9;
	}
}
</style>